## unicap-66f0e778cc6d8586d48e8e40ae34b47261972453.tar.gz

=== python-unicap/Makefile ===
VERSION = 0.3.0
CODEGEN ?= pygobject-codegen-2.0
PYTHON ?= python
PREFIX ?= /usr



SUBDIRS=src examples
DISTFILES=Makefile README ChangeLog
REQMODULES=pygtk-2.0 libunicap libunicapgtk
REQBINARIES=$(CODEGEN) $(PYTHON)

export VERSION
export CODEGEN
export PYTHON
export DESTDIR
export PREFIX
export SETUPOPTS

all: .external-deps
	@list='$(SUBDIRS)'; for d in $$list; do        \
		make  -C $$d || exit 1;   \
	done

.PHONY: install clean TAGS dist

TAGS:
	@list='$(SUBDIRS)'; for d in $$list; do        \
		make -C $$d TAGS \
	done

.external-deps:
	@list='$(REQMODULES)'; for mod in $$list; do \
		if ! pkg-config --exists $$mod; then \
			echo "Required module '$$mod' not found!"; \
			echo "See the README file for more information"; \
			exit 1; \
		fi; \
	done

	@list='$(REQBINARIES)'; for bin in $$list; do \
		if [ -z `which $$bin` ]; then \
			echo "'$$bin' is required to build this package"; \
			echo "See the README file for more information"; \
			exit 1; \
		fi; \
	done

install:
	@list='$(SUBDIRS)'; for d in $$list; do        \
		make -C $$d install || exit 1; \
	done

clean:
	@list='$(SUBDIRS)'; for d in $$list; do        \
		make -C $$d clean ; \
	done

distclean:
	clean

dist:
	rm -rf /tmp/python-unicap-$(VERSION)
	mkdir /tmp/python-unicap-$(VERSION)
	list='$(SUBDIRS)'; for d in $$list; do        \
		make -C $$d _dist; \
	done 
	cp $(DISTFILES) /tmp/python-unicap-$(VERSION)/
	tar -C /tmp -c -z -f python-unicap-$(VERSION).tar.gz python-unicap-$(VERSION)

=== python-unicap/examples/Makefile ===
EXAMPLEDIRS=GettingStarted SnapImage
DISTFILES=Makefile README

all:

TAGS:

install:

clean:

_dist:
	mkdir -p /tmp/python-unicap-$(VERSION)/examples
	list='$(EXAMPLEDIRS)'; for d in $$list; do \
		mkdir /tmp/python-unicap-$(VERSION)/examples/$$d ; \
		install -D $$d/*.py /tmp/python-unicap-$(VERSION)/examples/$$d/; \
	done
	list='$(DISTFILES)'; for f in $$list; do \
		install -D $$f /tmp/python-unicap-$(VERSION)/examples/; \
	done

=== python-unicap/debian/control ===
Source: python-unicap
Section: misc
Priority: optional
Maintainer: Arne Caspari <arne@unicap-imaging.org>
Build-Depends: debhelper (>= 4.0.0), libunicapgtk2-dev (>=0.9.8), libunicap2-dev (>=0.9.11), libucil2-dev (>=0.9.10), python-dev, python-gtk2-dev, python-gobject-dev, libvorbis-dev
Standards-Version: 3.8.0

Package: python-unicap
Section: python
Priority: optional
Architecture: any
Depends: libucil2 (>=0.9.10), libunicap2 (>=0.9.11), libunicapgtk2 (>=0.9.8), python-gtk2, ${shlibs:Depends}
Description: A Python extension for video capture devices
 .
 pyunicap is a Python extension to access video capture devices.

=== python-unicap/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp: 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) CODEGEN="pygtk-codegen-2.0"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/pyunicap_build.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pyunicap_build SETUPOPTS="--install-layout deb"


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_install --sourcedir=debian/pyunicap_build
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
